
#include "MW4AppHeaders.hpp"

void
	MW4Testall()
{
	gos_PushCurrentHeap(MechWarrior4::Heap);

	//
	// Test string class
	//
	#if 1
		MString::TestClass();
	#endif

	//
	// Test Math brick
	//
	#if 1
		Random::TestClass();
		Radian::TestClass();
		Degree::TestClass();
		SinCosPair::TestClass();
		Vector3D::TestClass();
		Vector4D::TestClass();
		Point3D::TestClass();
		UnitVector3D::TestClass();
		EulerAngles::TestClass();
		UnitQuaternion::TestClass();
		Origin3D::TestClass();
		AffineMatrix4D::TestClass();
		LinearMatrix4D::TestClass();
		Matrix4D::TestClass();
		Normal3D::TestClass();
		Sphere::TestClass();
	#endif

	//
	// Test time manager
	//
	#if 0
		Time::TestClass();
	#endif

	//
	// Test connection library
	//
	#if 1
		Chain::TestClass();
		SafeChain::TestClass();
		SortedChain::TestClass();
		Table::TestClass();
		Hash::TestClass();
		Tree::TestClass();
	#endif

	//
	// Test Memory brick
	//
	#if 1
		MemoryBlock::TestClass();
		MemoryStack::TestClass();
	#endif

	//
	// Test NameList classes
	//
	#if 1
		NotationFile::TestClass();
	#endif

	//
	// Test dynamic dispatch brick
	//
	#if 1
		Receiver::TestClass();
	#endif

	//
	// Test file stream manager
	//
	#if 0
		FileStreamManager::TestClass();
	#endif
	
	//
	// Test resource manager
	//
	#if 0
		ResourceManager::TestClass();
	#endif


	//
	// Test BitPackers
	//
	#if 0
		MemoryStream::TestClass();
	#endif

	gos_PopCurrentHeap();
}           
